> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice setup

> Get the invoicing setup data for the authenticated user's company



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/invoicing/invoiceSetup
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/invoicing/invoiceSetup:
    get:
      tags:
        - Invoicing
      summary: Get invoice setup
      description: Get the invoicing setup data for the authenticated user's company
      operationId: getCompanySetup
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceSetupDTOV4'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    InvoiceSetupDTOV4:
      required:
        - id
      type: object
      properties:
        lastUpdatedDate:
          type: string
          format: date-time
        id:
          type: string
          description: id of this company setup
        defaultInvoiceNote:
          type: string
          description: Default Invoice message, to be appended at the end of the invoice
          example: Thank you for your business!
        defaultInvoiceTerm:
          type: string
          description: Default Invoice Term (i.e. how many days till the invoice is due)
          example: NET_10
          enum:
            - DUE_NOW
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        invoiceReminderSchedule:
          type: string
          description: >-
            Comma delimited list of Payment Reminder frequencies, to be used as
            the default on new invoices
          example: ON_DUE_DATE
          enum:
            - ON_DUE_DATE
            - THREE_DAYS_AFTER_DUE_DATE
            - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
            - AFTER_TWO_MINS
        brandColor:
          type: string
          description: Brand color used for invoices (hex code)
          example: '#999999'
      description: Invoice setup object
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````